<template>
  <div class="archive">
    <div class="left_active">
      <el-card class="arch_card">
        <div class="title_active">管道资料</div>
        <el-divider />
        <el-tree
          :data="tree"
          :props="defaultProps"
          show-checkbox
          default-expand-all="true"
        />
      </el-card>
    </div>
    <div class="right_active">
      <el-card class="arch_card">
        <el-row :gutter="20">
          <el-col :span="6"></el-col>
          <el-col :span="4"
            ><div style="text-align: right; margin-top: 6px">关键字:</div>
          </el-col>
          <el-col :span="4"> <el-input placeholder="请输入...." /></el-col>
          <el-col :span="4"><el-button type="primary">查询</el-button></el-col>
          <el-col :span="6"></el-col>
        </el-row>
        <el-divider />
        <el-card shadow="never" class="middle_card">
          <el-table :data="tableData" style="width: 10000px" stripe>
            <el-table-column prop="name" label="名称" width="180" />
            <el-table-column prop="type" sortable label="类型" width="180" />
            <el-table-column
              prop="count"
              sortable
              label="修改次数"
              width="180"
            />
            <el-table-column prop="timer" sortable label="创建时间" />
            <el-table-column prop="state" label="状态" width="180" />
          </el-table>
        </el-card>
        <el-divider />

        <el-pagination
          :currentPage="currentPage4"
          :page-size="pageSize4"
          :page-sizes="[10, 20, 50, 100]"
          :small="small"
          :disabled="disabled"
          :background="background"
          layout="total, sizes, prev, pager, next, jumper"
          :total="400"
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
        />
      </el-card>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      tree: [
        {
          label: "文献",
          children: [
            {
              label: "管道标准文献",
              url: "",
            },
            {
              label: "工业管道工程施工及验收规范",
              url: "",
            },
            {
              label: "综合管线设计标准",
              url: "",
            },
          ],
        },
        {
          label: "图纸", //label对应父级标签
          children: [
            {
              label: "XXX管线设计图纸",
              url: " ",
            },
            {
              label: "XXXXXX管线设计图",
              url: " ",
            },
            {
              label: "XXXXX管线设计图",
              url: " ",
            },
          ],
        },
        {
          label: "数据", //label对应父级标签
          children: [
            {
              label: "管道",
              url: " ",
            },
            {
              label: "阀门",
              url: " ",
            },
            {
              label: "消费设备",
              url: " ",
            },
          ],
        },
      ],
      defaultProps: {
        children: "children", //"children"内的每个对象解析为一个子项;
        label: "label", //所有"label"所在的对象解析为一个父项
      },
      tableData: [
        {
          timer: "2016-05-01",
          name: "Tom",
          count: "3",
          type: "业务图层",
          state: "x",
        },
        {
          timer: "2016-05-02",
          name: "Tom",
          count: "2",
          type: "业务图层",
          state: "x",
        },
        {
          timer: "2016-05-03",
          name: "Tom",
          count: "1",
          type: "业务图层",
          state: "x",
        },
      ],
    };
  },
  methods: {},
};
</script>

<style>
.archive {
  width: 100%;
  height: 100%;
  position: relative;
}
.archive .left_active {
  width: 21%;
  height: 100%;
  float: left;
}

.archive .right_active {
  width: 78.5%;
  height: 100%;
  float: right;
}
.archive .arch_card {
  width: 100%;
  height: 100%;
}
.archive .arch_card .el-card__body {
  padding: 10px;
}
.archive .el-divider--horizontal {
  margin: 10px 0 !important;
}
.archive .left_active .title_active {
  font-size: 22px;
  font-family: Microsoft YaHei;
  font-weight: bold;
  color: #3b4d6e;
}
.archive .middle_div {
  border: 1px solid red;
}
.archive .middle_card {
  width: 100%;
  height: 81vh;
  border: transparent;
}

.archive .el-table .warning-row {
  --el-table-tr-bg-color: var(--el-color-warning-light-9);
}
</style>
